# App runner
{ pkgs, ... }:

{

  home.packages = with pkgs; [
    rofi-wayland
  ];

  home.file.".config/rofi/config.rasi".source = ./config.rasi;
  home.file.".local/share/rofi/themes/catppuccin-mocha.rasi".source = ./catppuccin-mocha.rasi;

# TODO Use programs.rofi. Theme is not applied correctly
#  programs.rofi = {
#    enable = true;
#    theme = lib.mkDefault "catppuccin-mocha";
#    extraConfig = {
#      modi = "run,drun,window";
#      icon-theme = "Oranchelo";
#      show-icons = true;
#      terminal = "kitty";
#      drun-display-format = "{icon} {name}";
#      disable-history = false;
#      hide-scrollbar = true;
#      display-drun = "   Apps ";
#      display-run = "   Run ";
#      display-window = " 󰕰  Window";
#      display-Network = " 󰤨  Network";
#      sidebar-mode = true;
#    };
#  };
}
